function [XX,SIGMA]=chebyshev_jacobi(A,b,x0,eps,maxiter,m1,m2)
    D=A.*eye(A);
    k = (1-m1)/(1-m2);
    //
    iter=0;
    sig = 2;
    x=x0;
    res = A*x-b;
    XX    = [x];
    SIGMA = [sig];
    iter  = iter + 1;
    //
    xt = x;
    sig = 4/(4-((k-1)/(k+1))^2*sig);
    x = xt-2/(2-m1-m2)*D\res;
    res = A*x-b;
    XX    = [XX,x];
    SIGMA = [SIGMA,sig];
    iter  = iter + 1;
    //
    err = 1;
    while err>eps & iter<maxiter
        xtt = xt;
        xt = x;
        sig = 4/(4-((k-1)/(k+1))^2*sig);
        x = sig*(xt-2/(2-m1-m2)*D\res)+(1-sig)*xtt;
        err = norm(x-xt);
        res = A*x-b;
        XX    = [XX,x];
        SIGMA = [SIGMA,sig];
        iter  = iter+1;
    end
endfunction
