function XX=jacobi_relax(omega,A,b,x0,eps,maxiter)
    x=x0;xt=x;XX=[];
    D=A.*eye(A);
    M=D/omega;
    N=M-A;
    iter=0; err=1;
    while err>eps & iter<maxiter
        y=N*x+b;
        xt=M\y;
        iter=iter+1; err=norm(x-xt);
        x=xt;
        XX=[XX,x];
    end
endfunction
