clear all;

function [iter,x]=jacobi_var(A,b,x0,eps,maxiter,xex)
    err=1;
    x=x0;xt=x;XX=[];iter=0;
    D=A.*eye(A);
    while err>eps & iter<maxiter
        res=A*x-b;
        xt=x-D\res;
        err=norm(x-xex);
        x=xt;
        XX=[XX,x];
        iter=iter+1;
    end
endfunction


N = [2:30]
Iter = []
for n=N
    A=2*eye(n,n)-diag(ones(n-1,1),1)-diag(ones(n-1,1),-1);
    //xex = rand(n,1);xex=xex/norm(xex);
    xex = ones(n,1);
    b=A*xex;
    x0=zeros(n,1);
    [iter,x]=jacobi_var(A,b,x0,1e-6,100000000);
    Iter = [Iter,iter]
end

scf(0);clf;
plot(N,Iter)

scf(1);clf;
plot(log(N),log(Iter));
[a,b,sig] = reglin(log(N),log(Iter));



N = [2:30]
Iter = []
for n=N
    A=4*eye(n,n)+diag(ones(n-1,1),1)+diag(ones(n-1,1),-1);
    xex=ones(n,1);
    b=A*xex;
    x0=zeros(n,1);
    [iter,x]=jacobi_var(A,b,x0,1e-6,100000000);
    Iter = [Iter,iter]
end

scf(2);clf
plot(N,Iter)


